searchData={"items":[{"type":"module","title":"IssApi","doc":"The `IssApi` is a simple library that functions as a wrapper for the Open Notify\nAPI.\n\nThe wrapper currently supports one of the two endpoints, which is the current\nlocation of the International Space Station. It fetches the data returned from\nthe API, parses the JSON to a map and then transforms it to a struct before passing\nit to the caller.\n\nThe API has two dependencies that is uses for providing all the functionality to the\ncaller:\n\n* HTTPoison: This is used to make GET requests to the Open Notify API\n* Jason: This is used to parse the JSON returned to a map\n\nCredits for the API go to it's creators and full details on it can be found on \n[Open Notify](http://open-notify.org).","ref":"IssApi.html"},{"type":"function","title":"IssApi.location/0","doc":"This will return the current location of the International Space Station.\n\nThe function will return a tuple. The first value is an atom and will be either \n`:ok` or `:error`. The second value will be the `IssApi.Location` struct or \nan error message in the case of an error.\n\nThe `IssApi.Location` has two fields and three values in total. The first field\nis the `timestamp` field. This will return the time in UNIX format. Meaning \nit will return the amount of seconds that have passed since 1 January 1970.\nThe second field is the `position` field. This is a tuple containing to floats,\nthe `latitude` and the `longitude`.","ref":"IssApi.html#location/0"},{"type":"function","title":"Examples - IssApi.location/0","doc":"IssApi.location()\n    {:ok, %IssApi.Location{timestamp: 1699027915, position: {35.9648, -143.0953}}}","ref":"IssApi.html#location/0-examples"},{"type":"module","title":"IssApi.Location","doc":"Contains all logic that involves the location of the ISS.","ref":"IssApi.Location.html"},{"type":"type","title":"IssApi.Location.latitude/0","doc":"","ref":"IssApi.Location.html#t:latitude/0"},{"type":"type","title":"IssApi.Location.longitude/0","doc":"","ref":"IssApi.Location.html#t:longitude/0"},{"type":"type","title":"IssApi.Location.position/0","doc":"","ref":"IssApi.Location.html#t:position/0"},{"type":"type","title":"IssApi.Location.t/0","doc":"","ref":"IssApi.Location.html#t:t/0"},{"type":"extras","title":"IssApi","doc":"# IssApi\n\n![Elixir CI](https://github.com/MikkelvtK/iss_api/actions/workflows/elixir.yml/badge.svg) [![Coverage Status](https://coveralls.io/repos/github/MikkelvtK/iss_api/badge.svg?branch=main)](https://coveralls.io/github/MikkelvtK/iss_api?branch=main) ![Hex.pm](https://img.shields.io/hexpm/v/iss_api)\n \nIssApi is a wrapper written in Elixir for [Open Notify](http://open-notify.org).\n\nLibrary documentation can be found on [Hex Docs](https://hexdocs.pm/iss_api)","ref":"readme.html"},{"type":"extras","title":"Installation - IssApi","doc":"To use the library add the `IssApi` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:iss_api, \"~> 0.1.2\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - IssApi","doc":"To invoke the library function you can use this code snippet:\n\n```elixir\niex> IssApi.location()\n{:ok, %IssApi.Location{timestamp: 1699027915, position: {35.9648, -143.0953}}}\n```","ref":"readme.html#usage"}],"content_type":"text/markdown"}